player_sonar_data Struct Reference

Data: ranges (PLAYER_SONAR_DATA_RANGES) More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | ranges_count
| The number of valid range readings. More...
float * | ranges
| The range readings [m].

## Detailed Description

Data: ranges (PLAYER_SONAR_DATA_RANGES)

The `sonar` interface returns up to PLAYER_SONAR_MAX_SAMPLES range readings from a robot's sonars.

## Member Data Documentation

uint32_t player_sonar_data::ranges_count

The number of valid range readings.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45